﻿@model Tuple<SaleQuotationView, CompanyView, List<string>, List<UDF_ARGNS>>
@{
    ViewBag.Title = "_PurchaseOrder";
    Layout = "~/Areas/Sales/Views/Shared/_Layout.cshtml";

    ViewBag.SystemCurrency = Model.Item1.ListSystemRates.Where(t => t.System == true).Select(t => t.Currency).FirstOrDefault();
    ViewBag.LocalCurrency = Model.Item1.ListSystemRates.Where(t => t.Local == true).Select(t => t.Currency).FirstOrDefault();
    ViewBag.RateCurrency = Model.Item1.ListSystemRates.Where(t => t.System == true).Select(t => t.Rate).FirstOrDefault();

    bool _AddSO = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _PLMArea = ((UserView)Session["UserLogin"]).ListArea.Where(j => j.Area == "PLM").FirstOrDefault() != null ? true : false;
}

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/Content/FileInput-CSS")
@Scripts.Render("~/bundles/FileInput")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var urlRedirect = '@ViewBag.URLRedirect';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

@using (Html.BeginForm("ConfirmAction", "PurchaseOrder", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formPurchaseOrder" }))
{
    <!--///////// BLOKE 1 /////////-->

    <div class="row">
        <div class="col-md-6 col-sm-12 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@SaleOrders.Customers</h3>
                </div>
                <div class="panel-body">

                    <div class="row">
                        <div class="col-md-5">
                            @Html.TextBoxFor(c => c.Item1.CardCode, new { @Id = "txtCodeVendor", @Name = "txtCodeVendor", @placeholder = @SaleOrders.CC, @class = "form-control form_separator" })
                        </div>
                        <div class="col-md-4">
                            @Html.TextBoxFor(c => c.Item1.CardName, new { @Id = "txtNameVendor", @placeholder = @SaleOrders.CN, @class = "form-control form_separator" })
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                        </div>
                    </div>
                    <div class="row">
                        <label class="col-md-2 control-label">@PurchaseOrders.DocNro</label>
                        <div class="col-md-3">
                            @Html.TextBoxFor(c => c.Item1.DocNum,
                                new { @Id = "txtDocNum",
                                    @placeholder = @PurchaseOrders.DocNro,
                                    @class = "form-control" })
                        </div>
                        <label class="col-md-2 control-label">@PurchaseOrders.CP</label>
                        <div class="col-md-5">
                            <select id="ListContact" class="form-control">
                                <option value="">@PurchaseOrders.CP</option>
                            </select>
                        </div>
                    </div>

                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.VRN</label>
                        <div class="col-md-3">
                            @Html.TextBoxFor(c => c.Item1.NumAtCard, new { @Id = "NumAtCard", @Name = "NumAtCard", @placeholder = @PurchaseOrders.VRN, @class = "form-control" })
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6 col-sm-6 col-sx-6">
                            @Html.DropDownListFor(model => model.Item1.CurSource, new SelectList(
                                Model.Item1.ListDocumentSAPCombo.ListTypeCurrency,
                                "CurSource",
                                "Description", Model.Item1.CurSource), new { @Id = "TypeCurrency", @class = "form-control" })
                        </div>
                        <div class="col-lg-6 col-sm-6 col-sx-6">
                            @*<input name="regular" style="width:60px;" id="txtCurrencySg" type="text" class="form-control" value=" $">*@
                            @if (@ViewBag.FormMode == "Add")
                            {
                                @Html.DropDownList("txtCurrencySg", new SelectList(Model.Item1.ListDocumentSAPCombo.ListCurrency, "CurrCode", "CurrName"), new { @Id = "txtCurrencySg", @class = "form-control", @onchange = "updateRates()" })
                            }
                            else
                            {

                                @Html.DropDownListFor(model => model.Item1.DocCur, new SelectList(Model.Item1.ListDocumentSAPCombo.ListCurrency, "CurrCode", "CurrName", Model.Item1.DocCur), new { @Id = "txtCurrencySg", @class = "form-control", @onchange = "updateRates()" })
                            }
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="col-md-3 col-sm-6 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@PurchaseOrders.Date</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.PD</label>
                        <div class="col-md-9 input-group date" id="DocDate">
                            @Html.TextBoxFor(c => c.Item1.DocDate, new { @Id = "DocDate", @Name = "DocDate", @placeholder = @PurchaseOrders.PD, @class = "form-control", @Value = Model.Item1.DocDate.ToShortDateString() })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.ValidUntil</label>
                        <div class="col-md-9  input-group date" id="DocDueDate">
                            @Html.TextBoxFor(c => c.Item1.DocDueDate, new { @Id = "DocDueDate", @Name = "DocDueDate", @placeholder = @PurchaseOrders.ValidUntil, @class = "form-control", @Value = Model.Item1.DocDueDate.ToShortDateString() })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.DocDate</label>
                        <div class="col-md-9  input-group date" id="TaxDate">
                            @Html.TextBoxFor(c => c.Item1.TaxDate, new { @Id = "TaxDate", @Name = "TaxDate", @placeholder = @PurchaseOrders.DocDate, @class = "form-control", @Value = Model.Item1.TaxDate.ToShortDateString() })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="col-md-3 col-sm-6 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.Payment</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.PT</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(model => model.Item1.GroupNum, new SelectList(
                                Model.Item1.ListDocumentSAPCombo.ListPaymentTerm,
                                "GroupNum",
                                "PymntGroup", Model.Item1.GroupNum), new { @Id = "PaymentTerm", @class = "form-control" })
                        </div>
                    </div>
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.PM</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(model => model.Item1.PeyMethod, new SelectList(
                                Model.Item1.ListDocumentSAPCombo.ListPaymentMethod,
                                "PayMethCod",
                                "Descript",
                                Model.Item1.PeyMethod), new { @Id = "PeyMethod", @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>

        @if (Model.Item1.MappedUdf.Count > 0)
        {
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="panel panel-default" id="accordionUDF">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionUDF" href="#collapseUDF">
                                UDF
                                <i class="indicator glyphicon  pull-right glyphicon-chevron-up"></i>
                            </a>
                        </h4>
                    </div>
                    <div id="collapseUDF" class="panel-collapse collapse" style="height: auto;">
                        <div class="panel-body">
                            @{
                                foreach (var DictRow in Model.Item1.MappedUdf)
                                {
                                    if (DictRow.ListUFD1.Count > 0)
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                                                             DictRow.ListUFD1,
                                                                                                "FldValue",
                                                                                                "Descr", DictRow.Value), new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @class = "form-control" })
                                            </div>
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                            </div>
                                        </div>
                                    }
                                }
                            }
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>

    <ul class="nav nav-tabs">
        <li class="active"><a data-toggle="tab" href="#Information">@PurchaseOrders.Information</a></li>
        <li><a data-toggle="tab" href="#Attachments">@PurchaseOrders.Attachments</a></li>
        <li><a data-toggle="tab" href="#General">@PurchaseOrders.General / @PurchaseOrders.Shipping / @PurchaseQuotation.Billing / @PurchaseOrders.ShipType</a></li>
    </ul>

    <div class="tab-content">
        <div class="tab-pane fade active in" id="Information">
            <div class="panel-body">
                <!--///////// BLOKE 2 /////////-->
                <!--bloke search-->
                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-12">

                            <button type="button" id="btnNewList" class="btn btn-success btn-ls" data-toggle="modal" data-target="#myModal" onclick="GetItemsModel()"><span class="glyphicon glyphicon-plus"></span> @PurchaseOrders.New @PurchaseOrders.ByList</button>
                            <button type="button" id="btnNewGrid" class="btn btn-success btn-ls" data-toggle="modal" data-target="#myModalGrid"><span class="glyphicon glyphicon-folder-close"></span> @PurchaseOrders.New @PurchaseOrders.ByGrid</button>


                            @if (_PLMArea)
                            {
                                <button class="btn btn-success btn-ls " type="button" id="btnMatrix" data-toggle="modal" data-target="#myModalModel"><span class="glyphicon glyphicon-search"></span>@Shared.Styles</button>
                            }
                        </div>
                        @if (Model.Item2.UseHandheld)
                        {
                            <div class="col-md-2">
                                @Html.TextBox("HandHeldField", "", new { @placeholder = @PurchaseOrders.HHEF, @class = "form-control" })
                            </div>
                        }
                    </div>
                </div>
                <div class="divider"> </div>

                <!--Document Line-->
                <div class="panel-body">
                    <!--campos filtro-->
                    <div class="alert alert-danger" id="alertRates" role="alert">
                        @PurchaseOrders.RatesError
                    </div>
                    <div class="alert alert-danger" id="alertLectura" role="alert">
                        @SaleOrders.ErrorCode
                    </div>
                    <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                        @Html.Partial("_ItemsForm", new SalesQuotationItemsFormView(Model.Item1.Lines, Model.Item1.DocCur, new UsersSettingView(), Model.Item1.ListFreight))
                    </div>
                    <div class="alert alert-danger" id="alertItems" role="alert">
                        <strong>Oh!</strong> No Items in the list.
                    </div>

                    <!--datos de tabla-->
                    <div class="panel-footer well">
                        <div class="col-md-6 col-sm-6 pull-right ">
                            <div class="panel-body">

                                <div class="form-group">
                                    <label class="col-md-6 control-label">
                                        @PurchaseOrders.TBD
                                    </label>
                                    <div class="col-md-6">
                                        <input type="text" disabled="disabled" value="0" id="TotalDoc" name="regular" class="form-control">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-6 control-label">@PurchaseOrders.Discount</label>
                                    <div class="col-md-2">
                                        @Html.TextBoxFor(c => c.Item1.DiscPrcnt, new { @Id = "DiscPrcnt", @Name = "DiscPrcnt", @placeholder = "%", @class = "form-control form_separator", @type = "number" })
                                    </div>
                                    <div class="col-md-4">
                                        <input id="TotalDisc" value="0" class="form-control" name="pass" type="number">
                                    </div>
                                </div>
                                <div class="form-group" @(Model.Item1.SAPDocSettings.EnblExpns == "Y" ? "" : "style = display:none")>
                                    <label class="col-md-6 control-label">@SalesInvoices.Freight</label>
                                    <div class="col-md-3">
                                        <input type="text" value="@(Model.Item1.TotalExpns != null ? Model.Item1.TotalExpns.Value.ToString("F2", CultureInfo.InvariantCulture) : "0.00")" id="TotalExpns" name="TotalExpns" class="form-control">
                                    </div>
                                    <div class="col-md-3 pull-right">
                                        <button type="button" id="FreightButton" class="btn btn-success btn-ls pull-right" data-toggle="modal" onclick="fut_modal_body($('.modal'))" data-target="#FreightModal"><span class="glyphicon glyphicon-edit"></span>@PurchaseOrders.Change</button>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-6 control-label">@PurchaseOrders.Tax</label>
                                    <div class="col-md-6">
                                        <input id="TotalTax" class="form-control" value="0" type="text" placeholder="placeholder">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-6 control-label">@PurchaseOrders.TPD</label>
                                    <div class="col-md-6">
                                        <input type="text" id="TotalDocPD" name="disabled" disabled="disabled" value="0" class="form-control">
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>

            </div>
        </div>

        <div class="tab-pane fade " id="Attachments">
            <div class="panel-body">
                <!--///////// BLOKE 3 /////////-->


                <div class="table-responsive">
                    <div class="form-group" style="margin-left: 10px; margin-bottom: 10px; margin-top: 5px; margin-right: 60px;" id="divinputfile">
                        <div class="form-group">
                            <input id="file-1" type="file" class="file" multiple>
                        </div>

                        <div>
                            <button id="UploadAttach" class="btn btn-success btn-ls pull-left" type="button">@PurchaseOrders.Upload</button>
                        </div>
                    </div>


                    <div class="form-group">
                        @Html.Partial("_FilesList", Model.Item1.AttachmentList)
                    </div>

                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="General">
            <div class="panel-body">
                <!--///////// BLOKE 4 /////////-->
                <div class="" id="bloke_info">



                    <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title">@PurchaseOrders.General</h3>
                            </div>
                            <div class="panel-body">
                                <div class="panel-body">
                                    <div class="row">
                                        @Html.DropDownListFor(model => model.Item1.SlpCode, new SelectList(
                                    Model.Item1.ListDocumentSAPCombo.ListBuyer,
                                                        "SlpCode",
                                                        "SlpName", Model.Item1.SlpCode), new { @Id = "Buyer", @class = "form-control" })
                                    </div>
                                    <div class="row">
                                        <label class="col-md-3 control-label">@PurchaseOrders.Confirmed</label>
                                        <div class="col-md-9">
                                            @Html.TextBoxFor(c => c.Item1.DescConfirmed, new { @Id = "Confirmed", @Name = "Confirmed", @placeholder = @PurchaseOrders.Confirmed, @class = "form-control", @disabled = "disabled" })
                                        </div>
                                    </div>

                                    <div class="row">
                                        @Html.HiddenFor(c => c.Item1.OwnerCode, new { @Id = "OwnerCode", @Name = "OwnerCode" })
                                        <label class="col-md-3 control-label">@PurchaseOrders.Owner</label>
                                        <div class="col-md-9">
                                            @Html.TextBoxFor(c => c.Item1.OwnerName, new { @Id = "OwnerName", @Name = "OwnerName", @placeholder = @PurchaseOrders.OC, @class = "form-control" })
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-9 pull-right">
                                            <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#EmployeeModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search @PurchaseOrders.Employee</button>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <label class="col-md-3 control-label">@PurchaseOrders.Remarks</label>
                                        <div class="col-md-9">
                                            @Html.TextAreaFor(c => c.Item1.Comments, new { @Id = "Comments", @Name = "Comments", @placeholder = @PurchaseOrders.Remarks, @class = "form-control remarksDocuments" })
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title">@PurchaseOrders.Shipping</h3>
                            </div>
                            <div class="panel-body" id="bodyShipping">
                                <div class="row">
                                    <label class="col-md-3 control-label"></label>
                                    <div class="col-md-9">
                                        <select name="BpAddressSelectShipTo" class="form-control" id="BpAddressSelectShipTo"></select>
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.SPOBox</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.StreetS, new { @id = "StreetS", @placeholder = @PurchaseQuotation.SPOBox, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.SNO</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.StreetNoS, new { @id = "StreetNoS", @placeholder = @PurchaseQuotation.SNO, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.Block</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.BlockS, new { @id = "BlockS", @placeholder = @PurchaseQuotation.Block, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.City</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.CityS, new { @id = "CityS", @placeholder = @PurchaseQuotation.City, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.ZC</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.ZipCodeS, new { @id = "ZipCodeS", @placeholder = @PurchaseQuotation.ZC, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.County</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.CountyS, new { @id = "CountyS", @placeholder = @PurchaseQuotation.County, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.State</label>
                                    <div class="col-md-9">
                                        @Html.Hidden("DefaultStateS", (Model.Item1.SQAddress != null ? Model.Item1.SQAddress.StateS : ""), new { @id = "DefaultStateS" })
                                        @*@Html.TextBoxFor(c => c.Item1.SQAddress.StateS, new { @id = "StateS", @placeholder = @PurchaseQuotation.State, @class = "form-control" })*@
                                        <select id="StateS" class="form-control"></select>
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.Country</label>
                                    <div class="col-md-9">
                                        @*@Html.TextBoxFor(c => c.Item1.SQAddress.CountryS, new { @id = "CountryS", @placeholder = @PurchaseQuotation.Country, @class = "form-control" })*@

                                        @if (Model.Item1.SQAddress != null)
                                        {

                                            @Html.DropDownListFor(c => c.Item1.SQAddress.CountryS, new SelectList(
                                        Model.Item1.ListDocumentSAPCombo.ListCountry, "Code", "Name",
                                        Model.Item1.SQAddress.CountryS), new { @Id = "CountryS", @class = "form-control" })
                                        }
                                        else
                                        {
                                            @Html.DropDownList("CountryS", new SelectList(Model.Item1.ListDocumentSAPCombo.ListCountry, "Code", "Name"), new { @Id = "CountryS", @class = "form-control" })
                                        }
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.BFR</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.BuildingS, new { @id = "BuildingS", @placeholder = @PurchaseQuotation.BFR, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.GLN</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.GlbLocNumS, new { @id = "GlbLocNumS", @placeholder = @PurchaseQuotation.GLN, @class = "form-control" })
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title">@PurchaseQuotation.Billing</h3>
                            </div>
                            <div class="panel-body" id="BodyBilling">
                                <div class="row">
                                    <label class="col-md-3 control-label"></label>
                                    <div class="col-md-9">
                                        <select name="BpAddressSelect" class="form-control" id="BpAddressSelect"></select>
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.SPOBox</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.StreetB, new { @id = "StreetB", @placeholder = @PurchaseQuotation.SPOBox, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.SNO</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.StreetNoB, new { @id = "StreetNoB", @placeholder = @PurchaseQuotation.SNO, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.Block</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.BlockB, new { @id = "BlockB", @placeholder = @PurchaseQuotation.Block, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.City</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.CityB, new { @id = "CityB", @placeholder = @PurchaseQuotation.City, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.ZC</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.ZipCodeB, new { @id = "ZipCodeB", @placeholder = @PurchaseQuotation.ZC, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.County</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.CountyB, new { @id = "CountyB", @placeholder = @PurchaseQuotation.County, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.State</label>
                                    <div class="col-md-9">
                                        @Html.Hidden("DefaultStateB", (Model.Item1.SQAddress != null ? Model.Item1.SQAddress.StateB : ""), new { @id = "DefaultStateB" })
                                        @*@Html.TextBoxFor(c => c.Item1.SQAddress.StateB, new { @id = "StateB", @placeholder = @PurchaseQuotation.State, @class = "form-control" })*@
                                        <select id="StateB" class="form-control"></select>
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.Country</label>
                                    <div class="col-md-9">
                                        @*@Html.TextBoxFor(c => c.Item1.SQAddress.CountryB, new { @id = "CountryB", @placeholder = @PurchaseQuotation.Country, @class = "form-control" })*@
                                        @if (Model.Item1.SQAddress != null)
                                        {
                                            @Html.DropDownListFor(c => c.Item1.SQAddress.CountryB, new SelectList(
                                        Model.Item1.ListDocumentSAPCombo.ListCountry, "Code", "Name",
                                        Model.Item1.SQAddress.CountryB), new { @Id = "CountryB", @class = "form-control" })
                                        }
                                        else
                                        {
                                            @Html.DropDownList("CountryB", new SelectList(Model.Item1.ListDocumentSAPCombo.ListCountry, "Code", "Name"), new { @Id = "CountryB", @class = "form-control" })
                                        }
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.BFR</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.BuildingB, new { @id = "BuildingB", @placeholder = @PurchaseQuotation.BFR, @class = "form-control" })
                                    </div>
                                </div>

                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseQuotation.GLN</label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(c => c.Item1.SQAddress.GlbLocNumB, new { @id = "GlbLocNumB", @placeholder = @PurchaseQuotation.GLN, @class = "form-control" })
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title">@PurchaseOrders.ShipType</h3>
                            </div>
                            <div class="panel-body">
                                <div class="row">
                                    <label class="col-md-3 control-label">@PurchaseOrders.ShipType</label>
                                    <div class="col-md-9">
                                        @Html.DropDownListFor(model => model.Item1.TrnspCode, new SelectList(
                                    Model.Item1.ListDocumentSAPCombo.ListShippingType,
                                                                "TrnspCode",
                                                                "TrnspName", Model.Item1.TrnspCode), new { @Id = "ShipType", @class = "form-control" })
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>

    </div>




    <div class="alert alert-success" id="UpdateCorrectly" role="alert">
        <strong>@SaleQuotations.TSQWUS</strong>
    </div>

    <div class="but_blok_footer">
        <div class="col-lg-12  ">
            @if (@ViewBag.FormMode != "Add" && (_AddSO))
            {
                <div class="btn-group dropup " style="display:block">
                    <button type="button" class="btn btn-default btn-lg dropdown-toggle" data-toggle="dropdown" aria-expanded="false">@PurchaseRequest.CT <span class="caret"></span></button>
                    <ul class="dropdown-menu" role="menu">
                        @if (_AddSO)
                        {
                            <li><a href="@Url.Action("ActionPurchaseOrder", "SalesOrder", new { @ActionPurchaseOrder = "CopyFromSQ", @IdPO = @Model.Item1.DocEntry, @fromController = "SalesQuotation" })">@SaleOrders.SO</a></li>
                        }
                    </ul>
                </div>
            }
            <a id="btnOk" class="btn btn-lg btn-success pull-right" style="margin-left:3px">Ok</a>
            @{
                string controllerName = ViewBag.controllerName;
                @Html.ActionLink(@PurchaseOrders.Cancel, "Index", controllerName, null, new { @class = "btn btn-lg btn-default pull-right" })
            }
            @if (Model.Item3.Count > 0)
            {
                @*@Html.Partial("../Shared/_CRButton", Model.Item3.ToString());*@
                @Html.Partial("_CRButton", Tuple.Create((object)Model.Item1, Model.Item3));
                @Html.Partial("_CRButtonDownload", Tuple.Create((object)Model.Item1, Model.Item3, "SalesQuotation"));
            }
        </div>
    </div>
    <!--///////// close BLOKE/////////-->

    @Html.Hidden("SystemCurrency", Model.Item1.SystemCurrency)
    @Html.Hidden("LocalCurrency", Model.Item1.LocalCurrency)
    @Html.Hidden("RateCurrency", (double)ViewBag.RateCurrency)
    @Html.Hidden("hShipTo", Model.Item1.ShipToCode)
    @Html.Hidden("hPayTo", Model.Item1.PayToCode)
    @Html.Hidden("hSlpCode", Model.Item1.SlpCode)

    @*Modal Items List*@
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel">@PurchaseOrders.Search </h4>
                </div>
                <div class="">

                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-10">
                                    @Html.TextBox("Code", null, new { @Id = "UDF_Code", @Name = "Code", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-10">
                                    @Html.TextBox("Name", null, new { @Id = "UDF_Name", @Name = "Name", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                                </div>
                            </div>


                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.II</label>
                                <div class="col-md-10">
                                    <select id="dropdownInvItem" class="form-control" name="dropdownInvItem">
                                        <option selected="selected" value="">@PurchaseOrders.ALL</option>
                                        <option value="Y">@PurchaseOrders.Yes</option>
                                        <option value="N">@PurchaseOrders.No</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.IWS</label>
                                <div class="col-md-10">
                                    <select name="dropdownWithStock" class="form-control" id="dropdownWithStock">
                                        <option selected="selected" value="N">@PurchaseOrders.UN</option>
                                        <option value="Y">@PurchaseOrders.Yes</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.ItemGroup</label>
                                <div class="col-md-10">
                                    @Html.DropDownList("ItemGroup", new SelectList(
                                        Model.Item1.ItemGroups,
                                        "ItmsGrpCod",
                                        "ItmsGrpNam"),
                                        new {
                                            @Id = "dropdownItemGroup",
                                            @Name = "dropdownItemGroup",
                                            @class = "form-control" })
                                </div>
                            </div>

                        </div>
                        @if (Model.Item4.Count > 0)
                        {
                            <div class="col-md-8 limitador_udf">
                                @{
                                    foreach (UDF_ARGNS DictRow in Model.Item4)
                                    {
                                        if (DictRow.ListUFD1.Count > 0)
                                        {
                                            <div class="row">
                                                <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                                <div class="col-md-10">
                                                    <select class="form-control" id="SearchItemUDF_@DictRow.UDFName" name="@DictRow.UDFName">
                                                        <option value="">Select @DictRow.UDFDesc</option>
                                                        @{
                                                            foreach (UFD1_SAP item in DictRow.ListUFD1)
                                                            {
                                                                <option value="@item.FldValue">@item.Descr</option>
                                                            }
                                                        }
                                                    </select>
                                                </div>
                                            </div>
                                        }
                                        else
                                        {
                                            <div class="row">
                                                <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                                <div class="col-md-10">
                                                    @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "SearchItemUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                                </div>
                                            </div>
                                        }
                                    }
                                }
                            </div>
                        }
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchItems" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right " 
                                    data-toggle="modal"><span class="glyphicon glyphicon-search"></span> 
                            @SaleOrders.Search
                        </button>
                        </div>

                    </div>


                    <div class="panel-body udf_box_limitado" id="ModalItemsTable">
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                    <button type="button" id="btnChoose" class="btn btn-primary">@PurchaseOrders.Choose</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Items Grid*@
    <div class="modal fade" id="myModalGrid" tabindex="-1" role="dialog" aria-labelledby="myModalGridLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalGridLabel"> @PurchaseOrders.Search </h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-10">
                                    @Html.TextBox("Code", null, new { @Id = "UDFGrid_Code", @Name = "Code", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-2 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-10">
                                    @Html.TextBox("Name", null, new { @Id = "UDFGrid_Name", @Name = "Name", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        @if (Model.Item4.Count > 0)
                        {
                            <div class="col-md-8 limitador_udf">
                                @{
                                    foreach (UDF_ARGNS DictRow in Model.Item4)
                                    {
                                        if (DictRow.ListUFD1.Count > 0)
                                        {
                                            <div class="row">
                                                <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                                <div class="col-md-10">
                                                    <select class="form-control" id="SearchItemGridUDF_@DictRow.UDFName" name="@DictRow.UDFName">
                                                        <option value="">Select @DictRow.UDFDesc</option>
                                                        @{
                                                            foreach (UFD1_SAP item in DictRow.ListUFD1)
                                                            {
                                                                <option value="@item.FldValue">@item.Descr</option>
                                                            }
                                                        }
                                                    </select>
                                                </div>
                                            </div>
                                        }
                                        else
                                        {
                                            <div class="row">
                                                <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                                <div class="col-md-10">
                                                    @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "SearchItemGridUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                                </div>
                                            </div>
                                        }
                                    }
                                }
                            </div>
                        }

                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchItemsGrid" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right " data-toggle="modal"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body udf_box_limitado">
                        <!--tabla-->
                        <div class="table-responsive">
                            <div id="LoadGrid" style=" text-align :center ">
                                <img src="~/Content/img/Load.gif" />
                            </div>
                            <div id="ModalGridBody">
                                @*@Html.Partial("_ItemsGrid", Model.Item1.ListItem)*@
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
                    <button type="button" id="btnChooseGrid" class="btn btn-primary">@PurchaseOrders.Choose</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Vendors*@
    <div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabelVendorModalVendor">@SaleOrders.Search @SaleOrders.Customer</h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>

                    <div class="panel-body">
                        <div class="table-responsive responsive table_cart">
                            <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                            <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Sales/SalesQuotation/_Customers",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                            </script>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>


    @*Employee Modal*@
    <div class="modal fade" id="EmployeeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabelEmloyeeModalEmployee">@PurchaseOrders.Search @PurchaseOrders.Employee</h4>
                </div>
                <div class="">

                    <div class="bs-example">

                        <div class="col-md-3">
                            <label class="checkbox-inline">
                                <input type="checkbox" id="ckCodeEmployee" value="option1" checked=""> @PurchaseOrders.BC
                            </label>


                            <label class="checkbox-inline">
                                <input type="checkbox" id="ckNameEmployee" value="option1" checked=""> @PurchaseOrders.BN
                            </label>
                        </div>


                        <div class="col-md-2">
                            <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                        </div>

                        <div class="col-md-4">
                            <input type="text" name="regular" id="txtSearchEmployee" class="form-control">
                        </div>

                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchEmployee" onclick="fut_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#EmployeeModal"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                        </div>

                    </div>


                    <div class="panel-body">
                        <!--tabla-->
                        <div class="table-responsive">
                            <div id="LoadEmployee" style=" text-align :center ">
                                <img src="~/Content/img/Load.gif" />
                            </div>
                            <div id="ModalBodyEmployee">
                                @*Aca cargo los datos por el ajax*@
                            </div>
                        </div>

                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @*Freight Modal*@
    <div class="modal fade" id="FreightModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" style="width: 1200px;">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabelFreightModalFreight">@SalesInvoices.Freight</h4>
                </div>
                <div class="">
                    <div class="panel-body">
                        <!--tabla-->
                        <div class="table-responsive">
                            <div id="LoadFreight" style=" text-align :center ">
                                <img src="~/Content/img/Load.gif" />
                            </div>
                            <div id="ModalBodyFreight">
                                @*Aca cargo los datos por el ajax*@
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
                    <button type="button" id="btnFreightsOk" class="btn btn-primary">Ok</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal BasketID*@
    <div class="modal fade" id="BasketIDModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabelBasketIDModal">@PurchaseOrders.EBID </h4>
                </div>
                <div class="">
                    <div class="panel-body">
                        <div class="bs-example">
                            <div class="col-md-2">
                                <label class="control-label">@PurchaseOrders.EBID:</label>
                            </div>
                            <div class="col-md-4">
                                <input type="text" name="regular" id="txtBasketID" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
                    <button type="button" id="btnBasketIDOk" class="btn btn-primary">Ok</button>
                </div>
            </div>
        </div>
    </div>

    @Html.HiddenFor(c => c.Item1.DocEntry, new { @Id = "DocEntry", @Name = "DocEntry" })
    @Html.HiddenFor(c => c.Item2.CheckBasketID, new { @Id = "CheckBasketID", @Name = "CheckBasketID" })
    @Html.Partial("_ModelMatrix", Model.Item1.ModelList)
    <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />
    <input type="hidden" name="VatStatus" id="VatStatus" value="" />


    <div id="MatrixDetail">
        @Html.Partial("_ModelMatrixDetail", Model.Item1.MatrixModel)
    </div>

}
@Scripts.Render("~/bundles/SalesQuotation")


